> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Random Result Tables

> _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new Economy features are being developed only for version 2._ Retrieves the configuration information for the specified random results tables for the title, including all ItemId values and weights

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| CatalogNotConfigured | 1218 |
| InvalidDropTable | 1201 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetRandomResultTables
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetRandomResultTables:
    post:
      tags:
        - Player Item Management
      summary: Get Random Result Tables
      description: >
        _NOTE: This is a Legacy Economy API, and is in bugfix-only mode. All new
        Economy features are being developed only for version 2._ Retrieves the
        configuration information for the specified random results tables for
        the title, including all ItemId values and weights


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | CatalogNotConfigured | 1218 |

        | InvalidDropTable | 1201 |

        | ProductDisabledForTitle | 1609 |
      operationId: GetRandomResultTables
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetRandomResultTablesRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetRandomResultTablesResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    GetRandomResultTablesRequest:
      type: object
      properties:
        CatalogVersion:
          description: >-
            Specifies the catalog version that should be used to retrieve the
            Random Result Tables. If unspecified, uses default/primary catalog.
          type: string
        TableIDs:
          description: The unique identifier of the Random Result Table to use.
          type: array
          items:
            type: string
      required:
        - TableIDs
      example:
        CatalogVersion: '1'
        TableIDs:
          - CommonElementCard
          - UncommonElementCard
          - RareElementCard
    GetRandomResultTablesResult:
      description: >-
        Note that if a specified Random Result Table contains no entries, or
        does not exist in the catalog, an InvalidDropTable error will be
        returned.
      type: object
      properties:
        Tables:
          allOf:
            - $ref: '#/components/schemas/RandomResultTableListing'
          description: array of random result tables currently available
      example:
        Tables:
          blah:
            CatalogVersion: '1'
            TableId: DropTable 1
            Nodes:
              - ResultItem: Gold Crown 1
                Weight: 20
              - ResultItem: Magic Sword 3
                Weight: 50
              - ResultItem: Clear Shield 3
                Weight: 70
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    RandomResultTableListing:
      type: object
      properties:
        CatalogVersion:
          description: Catalog version this table is associated with
          type: string
        Nodes:
          description: >-
            Child nodes that indicate what kind of drop table item this actually
            is.
          type: array
          items:
            $ref: '#/components/schemas/ResultTableNode'
          x-isclass: true
        TableId:
          description: Unique name for this drop table
          type: string
      required:
        - TableId
        - Nodes
    ResultTableNode:
      type: object
      properties:
        ResultItem:
          description: Either an ItemId, or the TableId of another random result table
          type: string
        ResultItemType:
          allOf:
            - $ref: '#/components/schemas/ResultTableNodeType'
          description: >-
            Whether this entry in the table is an item or a link to another
            table
        Weight:
          description: How likely this is to be rolled - larger numbers add more weight
          type: number
          x-actualtype: int32
      required:
        - ResultItemType
        - ResultItem
        - Weight
      example:
        ResultItem: Gold Crown 1
        Weight: 20
    ResultTableNodeType:
      type: string
      enum:
        - ItemId
        - TableId
  responses:
    GetRandomResultTablesResult:
      description: >-
        Note that if a specified Random Result Table contains no entries, or
        does not exist in the catalog, an InvalidDropTable error will be
        returned.
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetRandomResultTablesResult'
            example:
              code: 200
              status: OK
              data:
                Tables:
                  blah:
                    CatalogVersion: '1'
                    TableId: DropTable 1
                    Nodes:
                      - ResultItem: Gold Crown 1
                        Weight: 20
                      - ResultItem: Magic Sword 3
                        Weight: 50
                      - ResultItem: Clear Shield 3
                        Weight: 70
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Random Result Tables](/services/playfab/api-references/rest/server/player-item-management/get-random-result-tables.md)
- [Drop Tables in Economy (Legacy)](/services/playfab/economy-monetization/economy/tutorials/drop-tables.md)
- [Profile Reads Meter API Description](/services/playfab/pricing/meters/profile-reads.md)
- [PlayFab consumption best practices](/services/playfab/pricing/consumption-best-practices.md)
- [Evaluate Random Result Table](/api-reference/player-item-management/evaluate-random-result-table.md)
